package com.cristobalbernal.loladvisor;

import org.springframework.stereotype.Component;
import org.springframework.util.ResourceUtils;

import javax.annotation.PostConstruct;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.stream.Collectors;

@Component
public class LolAdvisorHelp {
	private String help;
	
	@PostConstruct
	public void init() {
		try {
			//@formatter:off
			help = Files
					.lines(Paths.get(ResourceUtils.getFile("classpath:Ayuda.txt").toURI()))
					.collect(Collectors.joining("\n"));
			//@formatter:on
		} catch (IOException ioe) {
			ioe.printStackTrace();
		}
	}
	
	public String getHelp() {
		return help;
	}
}
