package com.cristobalbernal.loladvisor.service;
import com.cristobalbernal.loladvisor.dao.LolDao;
import com.cristobalbernal.loladvisor.model.Lol;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;
import java.util.stream.Collectors;

@Service
public class LolService {
	@Autowired
	LolDao lolDao;

	@Autowired
	LolQueryService queryService;

	public Collection<String> findAllRol() {
		List<String> result = null;


		result = lolDao.mostrarTodos()
				.stream()
				.map(lol -> lol.getRol())
				.flatMap(list -> list.stream())
				.distinct()
				.sorted()
				.collect(Collectors.toList());

		// @formatter:on

		return result;
	}

	public Collection<Lol> findByAnyGenre(String... genres) {
		return queryService.anyName(genres).exec();
	}
	public Collection<Lol> findByAllGenres(String... genres) {
		return queryService.allName(genres).exec();
	}
	public Collection<Lol> buscarPorDifucultad(String... dificultada){
		return queryService.mostrarPorDificultada(dificultada).exec();
	}

	public Collection<Lol> findByTitleContains(String title) {
		return queryService.titleContains(title).exec();
	}

	public Collection<Lol> findAll() {
		return lolDao.mostrarTodos();
	}
}
